Subject: Misleading Product Image – Incorrect Size Mattress Pad Received (Order #D25504006B)
From: khalid albarrak <[email-masked]>
To: [email-masked]
Date: Thu, 9 Oct 2025 13:04:57 +0300

Dear Customer Service,

I am writing regarding my recent order (#D25504006B), placed on May 4, 2025, and marked as complete on May 5, 2025, with a total of $197.08.

I purchased the *Woolrich Heated Sherpa Mattress Pad* based on the product image, which clearly gave the impression that it was intended for a **King size** bed. However, the item I received is labeled as **Twin XL**, which is significantly smaller and does not fit my bed.

At the time of purchase, I was not familiar with the term "Twin XL" and relied heavily on the product image, which appeared to depict a much larger bed. I now realize that Twin XL refers to a longer version of a standard twin mattress, and not a King size.

I believe the listing was misleading due to the scale of the bed shown in the image, and I would not have purchased the item had the size been clearly communicated or properly illustrated.

I kindly request a resolution to this issue, either through a full refund or an exchange for a proper **King size** pad, if available.

Thank you for your prompt attention to this matter.

Sincerely,  
Khalid Albarrak
Phone: 00905418829594